Upgrading certbot under Amazon linux 2


#1

Hi there, I’m facing issues while trying to upgrade my certbot so that it stops using tls-sni-01 as indicated in this thread.

I’m running an apache server under an ec2 with amazon linux 2, did follow certbot website instructions (and epel 7 repo seems to have almost latest certbot in it’s repository) but after reinstalling… “certbot --version” still throws 0.26.

Any clues about it or any known issues that am I missing?

Also if someone under this same environment could upgrade certbot without any problems I would also appreciate any given help.

Regards and thanks in advance.


#2

Please try: https://aws.amazon.com/blogs/compute/extending-amazon-linux-2-with-epel-and-lets-encrypt/
[step #3 shows how to add certbot]


#3

Did “sudo yum install certbot python2-certbot-apache” once more and there it got updated.

Thanks!


closed #4

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.